## Apache Zeta Components Manual :: Docs For Class ezcDocumentMissingVisitorException

### Document::ezcDocumentMissingVisitorException

### Class ezcDocumentMissingVisitorException

Exception thrown, when a visitor could not be found for a node / subtree.

Source for this file: /Document/src/exceptions/missing_visitor.php

    Exception
       |
       --ezcBaseException
          |
          --ezcDocumentException
             |
             --ezcDocumentMissingVisitorException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcDocumentMissingVisitorException | `__construct( $class , [ $line = 0] , [ $position = 0] )` Construct exception from errnous string and current position

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcDocumentMissingVisitorException __construct( string $class , [int $line = 0] , [int $position = 0] )

Construct exception from errnous string and current position

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string |
`$line` | int |
`$position` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3